package com.bytedance.android.livesdkapi.host;

import X.0UT;
import X.0UV;
import X.C1077Pa6;
import X.HHP;
import X.Ksm;
import X.PTE;
import X.TXP;
import android.content.Context;
import com.bytedance.covode.number.Covode;
import java.util.List;
import java.util.Map;

public interface IHostNetwork extends 0UT {
    static {
        Covode.recordClassIndex(22453);
    }

    HHP<Ksm> downloadFile(boolean z, int i, String str, List<0UV> list, Object obj);

    HHP<Ksm> get(String str, List<0UV> list, Object obj);

    Map<String, String> getCommonParams();

    String getHostDomain();

    PTE getLiveRetrofit();

    int getVersionCode();

    void minorModeInterceptMonitor(String str);

    HHP<Ksm> post(String str, List<0UV> list, String str2, byte[] bArr, Object obj);

    TXP registerWsChannel(Context context, String str, Map<String, String> map, C1077Pa6 pa6);

    HHP<Ksm> uploadFile(int i, String str, List<0UV> list, String str2, byte[] bArr, long j, String str3);
}
